CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2020-14355

Multiple buffer overflow vulnerabilities were found in the QUIC image decoding process of the SPICE remote display system, before spice-0.14.2-1. Both the SPICE client (spice-gtk) and server are affected by these flaws. These flaws allow a malicious client or server to send specially crafted messages that, when processed by the QUIC image compression algorithm, result in a process crash or potential code execution.
Publish Date : 2020-10-07 Last Update Date : 2020-12-04
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication ???
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 120

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2020:4186: spice and spice-gtk security update (Important) oval:com.redhat.rhsa:def:20204186 unix
RHSA-2020:4187: spice and spice-gtk security update (Important) oval:com.redhat.rhsa:def:20204187 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2020-14355

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 14.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 20.04 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
6 OS Opensuse Leap 15.2 * * * Version Details Vulnerabilities
7 OS Redhat Enterprise Linux 6.0 * * * Version Details Vulnerabilities
8 OS Redhat Enterprise Linux 7.0 * * * Version Details Vulnerabilities
9 OS Redhat Enterprise Linux 8.0 * * * Version Details Vulnerabilities
10 OS Redhat Enterprise Linux Aus 8.2 * * * Version Details Vulnerabilities
11 OS Redhat Enterprise Linux Eus 8.1 * * * Version Details Vulnerabilities
12 OS Redhat Enterprise Linux Tus 8.2 * * * Version Details Vulnerabilities
13 Application Redhat Enterprise Linux Update Services For Sap Solutions 8.0 * * * Version Details Vulnerabilities
14 Application Redhat Openstack 16.1 * * * Version Details Vulnerabilities
15 Application Spice Project Spice * * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 1
Opensuse Leap 1
Redhat Enterprise Linux 3
Redhat Enterprise Linux Aus 1
Redhat Enterprise Linux Eus 1
Redhat Enterprise Linux Tus 1
Redhat Enterprise Linux Update Services For Sap Solutions 1
Redhat Openstack 1
Spice Project Spice 1

- References For CVE-2020-14355

https://bugzilla.redhat.com/show_bug.cgi?id=1868435
https://www.openwall.com/lists/oss-security/2020/10/06/10
https://www.debian.org/security/2020/dsa-4771
DEBIAN DSA-4771
https://usn.ubuntu.com/4572-1/
UBUNTU USN-4572-1
https://usn.ubuntu.com/4572-2/
UBUNTU USN-4572-2
http://lists.opensuse.org/opensuse-security-announce/2020-11/msg00000.html
SUSE openSUSE-SU-2020:1803
https://lists.debian.org/debian-lts-announce/2020/11/msg00002.html
MLIST [debian-lts-announce] 20201101 [SECURITY] [DLA 2428-1] spice-gtk security update
http://lists.opensuse.org/opensuse-security-announce/2020-11/msg00001.html
SUSE openSUSE-SU-2020:1802
https://lists.debian.org/debian-lts-announce/2020/11/msg00001.html
MLIST [debian-lts-announce] 20201101 [SECURITY] [DLA 2427-1] spice security update

- Metasploit Modules Related To CVE-2020-14355

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.